GNU logs - #24597, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#24597: 25.1; Fonts used by default in Info
Resent-From: Drew Adams <drew.adams@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 03 Oct 2016 15:50:02 +0000
Resent-Message-ID: <handler.24597.B.14755097527647 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 24597
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 24597 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.14755097527647
          (code B ref -1); Mon, 03 Oct 2016 15:50:02 +0000
Received: (at submit) by debbugs.gnu.org; 3 Oct 2016 15:49:12 +0000
Received: from localhost ([127.0.0.1]:43141 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1br5UN-0001zG-GR
	for submit <at> debbugs.gnu.org; Mon, 03 Oct 2016 11:49:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1br5UM-0001z0-6P
 for submit <at> debbugs.gnu.org; Mon, 03 Oct 2016 11:49:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1br5UG-0005QJ-3v
 for submit <at> debbugs.gnu.org; Mon, 03 Oct 2016 11:49:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35237)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1br5UG-0005PS-19
 for submit <at> debbugs.gnu.org; Mon, 03 Oct 2016 11:49:04 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58035)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1br5UD-0000lX-Qa
 for bug-gnu-emacs@HIDDEN; Mon, 03 Oct 2016 11:49:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1br5U9-0005Ms-KW
 for bug-gnu-emacs@HIDDEN; Mon, 03 Oct 2016 11:49:00 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:51495)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1br5U9-0005M6-8m
 for bug-gnu-emacs@HIDDEN; Mon, 03 Oct 2016 11:48:57 -0400
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u93FmtdN027145
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Mon, 3 Oct 2016 15:48:56 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userv0022.oracle.com (8.14.4/8.14.4) with ESMTP id u93Fmsri021218
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Mon, 3 Oct 2016 15:48:55 GMT
Received: from abhmp0011.oracle.com (abhmp0011.oracle.com [141.146.116.17])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u93FmqOQ005085
 for <bug-gnu-emacs@HIDDEN>; Mon, 3 Oct 2016 15:48:53 GMT
MIME-Version: 1.0
Message-ID: <a04f667d-7146-4f95-b0db-8cd20d5d91b9@default>
Date: Mon, 3 Oct 2016 08:48:51 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0022.oracle.com [156.151.31.74]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

The fonts used (on MS Windows, at least) by default, for Info, are
these:

* For text in general:

  uniscribe:-outline-Courier
  New-normal-normal-normal-mono-17-*-*-*-c-*-iso8859-1 (#x52)

* For text enclosed in =E2=80=98...=E2=80=99:

   gdi:-outline-Courier-normal-normal-normal-mono-17-*-*-*-c-*-iso8859-1
   (#x65)

The latter comes from the default value of face `Info-quoted', which
specifies only the family (as courier).

Why use, by default, two **slightly** different looking fonts?  They are
not different enough to make =E2=80=98...=E2=80=99 very noticeable.  Nor ar=
e they the
same.  What's the point of this choice?


In GNU Emacs 25.1.1 (x86_64-w64-mingw32)
 of 2016-09-17 built on LAPHROAIG
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
 'configure --without-dbus --without-compress-install CFLAGS=3D-static'




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Drew Adams <drew.adams@HIDDEN>
Subject: bug#24597: Acknowledgement (25.1; Fonts used by default in Info)
Message-ID: <handler.24597.B.14755097527647.ack <at> debbugs.gnu.org>
References: <a04f667d-7146-4f95-b0db-8cd20d5d91b9@default>
X-Gnu-PR-Message: ack 24597
X-Gnu-PR-Package: emacs
Reply-To: 24597 <at> debbugs.gnu.org
Date: Mon, 03 Oct 2016 15:50:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 24597 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
24597: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D24597
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#24597: 25.1; Fonts used by default in Info
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 03 Oct 2016 16:15:01 +0000
Resent-Message-ID: <handler.24597.B24597.147551127611167 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 24597
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Drew Adams <drew.adams@HIDDEN>
Cc: 24597 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 24597-submit <at> debbugs.gnu.org id=B24597.147551127611167
          (code B ref 24597); Mon, 03 Oct 2016 16:15:01 +0000
Received: (at 24597) by debbugs.gnu.org; 3 Oct 2016 16:14:36 +0000
Received: from localhost ([127.0.0.1]:43166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1br5sy-0002u3-0Y
	for submit <at> debbugs.gnu.org; Mon, 03 Oct 2016 12:14:36 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46125)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1br5sw-0002tj-OA
 for 24597 <at> debbugs.gnu.org; Mon, 03 Oct 2016 12:14:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1br5so-00057F-29
 for 24597 <at> debbugs.gnu.org; Mon, 03 Oct 2016 12:14:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33336)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1br5sn-000577-VZ; Mon, 03 Oct 2016 12:14:25 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1846
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1br5sm-0005UW-Jn; Mon, 03 Oct 2016 12:14:25 -0400
Date: Mon, 03 Oct 2016 19:14:22 +0300
Message-Id: <837f9ppfz5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <a04f667d-7146-4f95-b0db-8cd20d5d91b9@default> (message from Drew
 Adams on Mon, 3 Oct 2016 08:48:51 -0700 (PDT))
References: <a04f667d-7146-4f95-b0db-8cd20d5d91b9@default>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.7 (-------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.7 (-------)

> Date: Mon, 3 Oct 2016 08:48:51 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> 
> Why use, by default, two **slightly** different looking fonts?  They are
> not different enough to make ‘...’ very noticeable.  Nor are they the
> same.  What's the point of this choice?

The point is exactly to have a different face for symbols.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#24597: 25.1; Fonts used by default in Info
Resent-From: Drew Adams <drew.adams@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 03 Oct 2016 16:37:02 +0000
Resent-Message-ID: <handler.24597.B24597.147551256620322 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 24597
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 24597 <at> debbugs.gnu.org
Received: via spool by 24597-submit <at> debbugs.gnu.org id=B24597.147551256620322
          (code B ref 24597); Mon, 03 Oct 2016 16:37:02 +0000
Received: (at 24597) by debbugs.gnu.org; 3 Oct 2016 16:36:06 +0000
Received: from localhost ([127.0.0.1]:43179 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1br6Dm-0005Hi-5g
	for submit <at> debbugs.gnu.org; Mon, 03 Oct 2016 12:36:06 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:25714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1br6Dk-0005H9-AP
 for 24597 <at> debbugs.gnu.org; Mon, 03 Oct 2016 12:36:04 -0400
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u93GZvma024805
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 3 Oct 2016 16:35:58 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userv0022.oracle.com (8.14.4/8.14.4) with ESMTP id u93GZvNg031627
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Mon, 3 Oct 2016 16:35:57 GMT
Received: from abhmp0011.oracle.com (abhmp0011.oracle.com [141.146.116.17])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u93GZt74001376;
 Mon, 3 Oct 2016 16:35:56 GMT
MIME-Version: 1.0
Message-ID: <3d8c3427-b5da-4d88-a0de-044bec367b34@default>
Date: Mon, 3 Oct 2016 09:35:53 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
References: <a04f667d-7146-4f95-b0db-8cd20d5d91b9@default>
 <837f9ppfz5.fsf@HIDDEN>
In-Reply-To: <837f9ppfz5.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0022.oracle.com [156.151.31.74]
X-Spam-Score: -4.4 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

> > Why use, by default, two **slightly** different looking fonts?  They ar=
e
> > not different enough to make =E2=80=98...=E2=80=99 very noticeable.  No=
r are they the
> > same.  What's the point of this choice?
>=20
> The point is exactly to have a different face for symbols.

I don't disagree with that point.

What's the point of using family Courier for one and Courier New for
the other?  That's the question.  Doesn't seem like a great choice.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#24597: 25.1; Fonts used by default in Info
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 03 Oct 2016 17:30:02 +0000
Resent-Message-ID: <handler.24597.B24597.147551577927535 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 24597
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Drew Adams <drew.adams@HIDDEN>
Cc: 24597 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 24597-submit <at> debbugs.gnu.org id=B24597.147551577927535
          (code B ref 24597); Mon, 03 Oct 2016 17:30:02 +0000
Received: (at 24597) by debbugs.gnu.org; 3 Oct 2016 17:29:39 +0000
Received: from localhost ([127.0.0.1]:43211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1br73b-0007A3-Gq
	for submit <at> debbugs.gnu.org; Mon, 03 Oct 2016 13:29:39 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34143)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1br73Z-00079m-Mu
 for 24597 <at> debbugs.gnu.org; Mon, 03 Oct 2016 13:29:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1br73R-0000oi-Gz
 for 24597 <at> debbugs.gnu.org; Mon, 03 Oct 2016 13:29:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34311)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1br73R-0000oY-Da; Mon, 03 Oct 2016 13:29:29 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1902
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1br73P-0003sL-Hf; Mon, 03 Oct 2016 13:29:28 -0400
Date: Mon, 03 Oct 2016 20:29:25 +0300
Message-Id: <8337kdpci2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <3d8c3427-b5da-4d88-a0de-044bec367b34@default> (message from Drew
 Adams on Mon, 3 Oct 2016 09:35:53 -0700 (PDT))
References: <a04f667d-7146-4f95-b0db-8cd20d5d91b9@default>
 <837f9ppfz5.fsf@HIDDEN> <3d8c3427-b5da-4d88-a0de-044bec367b34@default>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.7 (-------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.7 (-------)

> Date: Mon, 3 Oct 2016 09:35:53 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: 24597 <at> debbugs.gnu.org
> 
> > > Why use, by default, two **slightly** different looking fonts?  They are
> > > not different enough to make ‘...’ very noticeable.  Nor are they the
> > > same.  What's the point of this choice?
> > 
> > The point is exactly to have a different face for symbols.
> 
> I don't disagree with that point.
> 
> What's the point of using family Courier for one and Courier New for
> the other?  That's the question.  Doesn't seem like a great choice.

I believe we don't specify Courier, it's just what Emacs picks up on a
typical Windows machine when we ask for a "Monospace Serif" font.  See
the definition of the Info-quoted face in info.el.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#24597: 25.1; Fonts used by default in Info
Resent-From: Drew Adams <drew.adams@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 03 Oct 2016 17:54:02 +0000
Resent-Message-ID: <handler.24597.B24597.147551722731112 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 24597
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 24597 <at> debbugs.gnu.org
Received: via spool by 24597-submit <at> debbugs.gnu.org id=B24597.147551722731112
          (code B ref 24597); Mon, 03 Oct 2016 17:54:02 +0000
Received: (at 24597) by debbugs.gnu.org; 3 Oct 2016 17:53:47 +0000
Received: from localhost ([127.0.0.1]:43232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1br7Qx-00085k-6J
	for submit <at> debbugs.gnu.org; Mon, 03 Oct 2016 13:53:47 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:43409)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1br7Qv-00085O-J4
 for 24597 <at> debbugs.gnu.org; Mon, 03 Oct 2016 13:53:46 -0400
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u93HrcCS007052
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 3 Oct 2016 17:53:38 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserv0022.oracle.com (8.14.4/8.14.4) with ESMTP id u93Hrber020465
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Mon, 3 Oct 2016 17:53:38 GMT
Received: from abhmp0011.oracle.com (abhmp0011.oracle.com [141.146.116.17])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u93HrZkC012715;
 Mon, 3 Oct 2016 17:53:36 GMT
MIME-Version: 1.0
Message-ID: <372bcff5-1612-4bf9-ab95-a63ba5dcec9b@default>
Date: Mon, 3 Oct 2016 10:53:34 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
References: <a04f667d-7146-4f95-b0db-8cd20d5d91b9@default>
 <837f9ppfz5.fsf@HIDDEN> <3d8c3427-b5da-4d88-a0de-044bec367b34@default>
 <8337kdpci2.fsf@HIDDEN>
In-Reply-To: <8337kdpci2.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-Spam-Score: -4.4 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

> > > > Why use, by default, two **slightly** different looking fonts?  The=
y
> are
> > > > not different enough to make =E2=80=98...=E2=80=99 very noticeable.=
  Nor are they the
> > > > same.  What's the point of this choice?
> > >
> > > The point is exactly to have a different face for symbols.
> >
> > I don't disagree with that point.
> >
> > What's the point of using family Courier for one and Courier New for
> > the other?  That's the question.  Doesn't seem like a great choice.
>=20
> I believe we don't specify Courier, it's just what Emacs picks up on a
> typical Windows machine when we ask for a "Monospace Serif" font.  See
> the definition of the Info-quoted face in info.el.

Hm. What I see is that we specify the "courier" family, not that we ask
for a "Monospace Serif" font:

(defface Info-quoted '((t :family "courier"))
  "Face used for quoted elements.")

I know nothing about such things, but it seems odd that MS Windows
creates font Courier New, and seems to use it by default quite a bit,
and yet we tell it to use family "courier", and it ends up using
font Courier (if available), not Courier New.

I think maybe you are saying that there is no good way to make
the two use the same font by default.  So be it, if so.

[I'd suggest using two fonts that are more different, by default.
For one thing, that would make clear to users that a face is involved.
Or if there is no policy to avoid color, I would use the same font
but a foreground color different from the default (black).]




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#24597: 25.1; Fonts used by default in Info
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 03 Oct 2016 18:27:01 +0000
Resent-Message-ID: <handler.24597.B24597.14755191823183 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 24597
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Drew Adams <drew.adams@HIDDEN>, Nicolas Petton <nicolas@HIDDEN>
Cc: 24597 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 24597-submit <at> debbugs.gnu.org id=B24597.14755191823183
          (code B ref 24597); Mon, 03 Oct 2016 18:27:01 +0000
Received: (at 24597) by debbugs.gnu.org; 3 Oct 2016 18:26:22 +0000
Received: from localhost ([127.0.0.1]:43285 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1br7wT-0000pH-OF
	for submit <at> debbugs.gnu.org; Mon, 03 Oct 2016 14:26:21 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45503)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1br7wS-0000oy-40
 for 24597 <at> debbugs.gnu.org; Mon, 03 Oct 2016 14:26:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1br7wI-0004rL-Vw
 for 24597 <at> debbugs.gnu.org; Mon, 03 Oct 2016 14:26:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34904)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1br7wI-0004qi-So; Mon, 03 Oct 2016 14:26:10 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1966
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1br7wG-0004s1-P2; Mon, 03 Oct 2016 14:26:09 -0400
Date: Mon, 03 Oct 2016 21:26:04 +0300
Message-Id: <83y425nvb7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <372bcff5-1612-4bf9-ab95-a63ba5dcec9b@default> (message from Drew
 Adams on Mon, 3 Oct 2016 10:53:34 -0700 (PDT))
References: <a04f667d-7146-4f95-b0db-8cd20d5d91b9@default>
 <837f9ppfz5.fsf@HIDDEN> <3d8c3427-b5da-4d88-a0de-044bec367b34@default>
 <8337kdpci2.fsf@HIDDEN> <372bcff5-1612-4bf9-ab95-a63ba5dcec9b@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.7 (-------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.7 (-------)

> Date: Mon, 3 Oct 2016 10:53:34 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: 24597 <at> debbugs.gnu.org
> 
> > I believe we don't specify Courier, it's just what Emacs picks up on a
> > typical Windows machine when we ask for a "Monospace Serif" font.  See
> > the definition of the Info-quoted face in info.el.
> 
> Hm. What I see is that we specify the "courier" family, not that we ask
> for a "Monospace Serif" font:
> 
> (defface Info-quoted '((t :family "courier"))
>   "Face used for quoted elements.")

That's strange: it's "courier" in 25.1, but the release branch says
fixed-pitch-serif, and the change was in May, so should have been in
the released Emacs 25.1.

Nicolas, can you shed some light on this?

> I know nothing about such things, but it seems odd that MS Windows
> creates font Courier New, and seems to use it by default quite a bit,
> and yet we tell it to use family "courier", and it ends up using
> font Courier (if available), not Courier New.

It chooses the first font that satisfies the request.

> [I'd suggest using two fonts that are more different, by default.
> For one thing, that would make clear to users that a face is involved.

That's what we do, except that this somehow didn't get into Emacs
25.1.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#24597: 25.1; Fonts used by default in Info
Resent-From: Andreas Schwab <schwab@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 03 Oct 2016 18:45:02 +0000
Resent-Message-ID: <handler.24597.B24597.14755202745726 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 24597
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 24597 <at> debbugs.gnu.org, Nicolas Petton <nicolas@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
Received: via spool by 24597-submit <at> debbugs.gnu.org id=B24597.14755202745726
          (code B ref 24597); Mon, 03 Oct 2016 18:45:02 +0000
Received: (at 24597) by debbugs.gnu.org; 3 Oct 2016 18:44:34 +0000
Received: from localhost ([127.0.0.1]:43311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1br8E5-0001UI-Oi
	for submit <at> debbugs.gnu.org; Mon, 03 Oct 2016 14:44:33 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:40789)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1br8E2-0001U7-Va
 for 24597 <at> debbugs.gnu.org; Mon, 03 Oct 2016 14:44:31 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 3snrYn5BJPz3hjKf;
 Mon,  3 Oct 2016 20:44:29 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.68])
 by mail.m-online.net (Postfix) with ESMTP id 3snrYn3rXVzvkd6;
 Mon,  3 Oct 2016 20:44:29 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.68]) (amavisd-new,
 port 10024)
 with ESMTP id 9t3Z1faWbALz; Mon,  3 Oct 2016 20:44:28 +0200 (CEST)
X-Auth-Info: gQJ7fj3KAzIN50ieEz5QLT//c8LjJlqUAANit/p/9euqZD6tcQP7oRxnBv51n6SD
Received: from igel.home (ppp-88-217-15-51.dynamic.mnet-online.de
 [88.217.15.51])
 (using TLSv1 with cipher DHE-RSA-CAMELLIA256-SHA (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Mon,  3 Oct 2016 20:44:28 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 055AC2C3E93; Mon,  3 Oct 2016 20:44:27 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
References: <a04f667d-7146-4f95-b0db-8cd20d5d91b9@default>
 <837f9ppfz5.fsf@HIDDEN>
 <3d8c3427-b5da-4d88-a0de-044bec367b34@default>
 <8337kdpci2.fsf@HIDDEN>
 <372bcff5-1612-4bf9-ab95-a63ba5dcec9b@default>
 <83y425nvb7.fsf@HIDDEN>
X-Yow: ...A housewife is wearing a polypyrene jumpsuit!!
Date: Mon, 03 Oct 2016 20:44:27 +0200
In-Reply-To: <83y425nvb7.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 03 Oct
 2016 21:26:04 +0300")
Message-ID: <87ponhl1bo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Okt 03 2016, Eli Zaretskii <eliz@HIDDEN> wrote:

> That's strange: it's "courier" in 25.1, but the release branch says
> fixed-pitch-serif, and the change was in May, so should have been in
> the released Emacs 25.1.

It was installed after the release.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."





Last modified: Mon, 3 Oct 2016 18:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.